datacache <- new.env(hash=TRUE, parent=emptyenv())

mapping10kxba142hsrefseq <- function() showQCData("mapping10kxba142hsrefseq", datacache)
mapping10kxba142hsrefseq_dbconn <- function() dbconn(datacache)
mapping10kxba142hsrefseq_dbfile <- function() dbfile(datacache)
mapping10kxba142hsrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mapping10kxba142hsrefseq_dbInfo <- function() dbInfo(datacache)

mapping10kxba142hsrefseqORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mapping10kxba142hsrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "mapping10kxba142hsrefseq", "chip mapping10kxba142hsrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("mapping10kxba142hsrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mapping10kxba142hsrefseq_dbconn())
}

